package com.example.lexilearn.data.model

sealed class QuizState {
    data class QuestionLoaded(val question: MaterialDataModel, val totalScore: Int) : QuizState()
    data class AnswerCorrect(val score: Int, val totalScore: Int) : QuizState()
    data class AnswerWrong(val wrongAttempts: Int) : QuizState()
    data class QuizFinished(val totalScore: Int) : QuizState()
    data class Error(val message: String) : QuizState()
}
